Bug 259413 - x11-themes/matcha-gtk-themes: Update to 2021-09-24
Summary: x11-themes/matcha-gtk-themes: Update to 2021-09-24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/vinceliuice/Matcha...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 18:05 UTC by Alexander Vereeken
Modified: 2021-11-15 14:27 UTC (History)
2 users (show)

See Also:


Attachments
matcha-gtk-themes-2021.09.24.diff (1.10 KB, patch)
2021-10-24 18:05 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-10-24 18:05:03 UTC
Created attachment 228996 [details]
matcha-gtk-themes-2021.09.24.diff

Hello,

this is an update to 2021-09-24.

Changelog: https://github.com/vinceliuice/Matcha-gtk-theme/releases/tag/2021-09-24

Thank you in advance!
Comment 1 Nuno Teixeira freebsd_committer 2021-10-25 08:01:45 UTC
We could have better Makefile order (portclippy):

- Move SHEBANG_FILES to USES block

---
# PORTNAME block
PORTNAME
DISTVERSION
CATEGORIES

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE
LICENSE_FILE

# Dependencies
BUILD_DEPENDS
RUN_DEPENDS

# USES block
USES

-SHEBANG_FILES

USE_GITHUB
GH_ACCOUNT
GH_PROJECT

# USES=shebangfix related variables
+SHEBANG_FILES

# Standard bsd.port.mk variables
NO_ARCH
NO_BUILD
---
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-15 14:18:18 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-11-15 14:25:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f47fc4cf19af0bbf6c91ae8bdaa35cc8e5e82357

commit f47fc4cf19af0bbf6c91ae8bdaa35cc8e5e82357
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-10-24 18:05:03 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-15 14:24:14 +0000

    x11-themes/matcha-gtk-themes: Update to 2021-09-24

    While here,

    * Pet portclippy
    * Re-format Makefile with portfmt

    ChangeLog:      https://github.com/vinceliuice/Matcha-gtk-theme/releases/tag/2021-09-24
    PR:             259413

 x11-themes/matcha-gtk-themes/Makefile | 9 ++++-----
 x11-themes/matcha-gtk-themes/distinfo | 6 +++---
 2 files changed, 7 insertions(+), 8 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-15 14:27:49 UTC
Committed with refinements suggested by eduardo@. Thanks!